diff options
author | EuAndreh <eu@euandre.org> | 2021-06-06 09:30:19 -0300 |
---|---|---|
committer | EuAndreh <eu@euandre.org> | 2021-06-06 09:30:19 -0300 |
commit | 81643ca1677593291d2024ace4f25b2885c888d4 (patch) | |
tree | cf9461f047dac5c0612c097b3dfc9ef83d04bf91 /aux/workflow/assert-changelog.sh | |
parent | src/remembering.sh: Use tabs for separating options columns (diff) | |
download | remembering-81643ca1677593291d2024ace4f25b2885c888d4.tar.gz remembering-81643ca1677593291d2024ace4f25b2885c888d4.tar.xz |
aux/: Use tabs over spaces for .sh files
Diffstat (limited to 'aux/workflow/assert-changelog.sh')
-rwxr-xr-x | aux/workflow/assert-changelog.sh | 14 |
1 files changed, 7 insertions, 7 deletions
diff --git a/aux/workflow/assert-changelog.sh b/aux/workflow/assert-changelog.sh index d39f527..8e81f1f 100755 --- a/aux/workflow/assert-changelog.sh +++ b/aux/workflow/assert-changelog.sh @@ -4,11 +4,11 @@ set -eu PROJECT="$1" for VVERSION in $(git tag); do - VERSION="${VVERSION#v}" - DATE="$(git log -1 --format=%cd --date=short "$VVERSION")" - CHANGELOG_ENTRY="# [$VERSION](https://git.euandreh.xyz/$PROJECT/commit/?id=$VVERSION) - $DATE" - if ! grep -qF "$CHANGELOG_ENTRY" CHANGELOG.md; then - echo "Missing '$CHANGELOG_ENTRY' entry from CHANGELOG.md" >&2 - exit 1 - fi + VERSION="${VVERSION#v}" + DATE="$(git log -1 --format=%cd --date=short "$VVERSION")" + CHANGELOG_ENTRY="# [$VERSION](https://git.euandreh.xyz/$PROJECT/commit/?id=$VVERSION) - $DATE" + if ! grep -qF "$CHANGELOG_ENTRY" CHANGELOG.md; then + echo "Missing '$CHANGELOG_ENTRY' entry from CHANGELOG.md" >&2 + exit 1 + fi done |